// Copyright (c) 2020-2023 Navibyte (https://navibyte.com). All rights reserved.
// Use of this source code is governed by a “BSD-3-Clause”-style license that is
// specified in the LICENSE file.
//
// Docs: https://github.com/navibyte/geospatial

/// Common data structures and helpers (for links, metadata, paged responses).
///
/// Usage: import `package:geodata/common.dart`
library common;

export 'src/common/links/link.dart';
export 'src/common/links/links.dart';
export 'src/common/links/links_aware.dart';
export 'src/common/meta/meta_aware.dart';
export 'src/common/paged/paged.dart';
export 'src/common/service/service_exception.dart';
