// Copyright (c) 2020-2023 Navibyte (https://navibyte.com). All rights reserved.
// Use of this source code is governed by a “BSD-3-Clause”-style license that is
// specified in the LICENSE file.
//
// Docs: https://github.com/navibyte/geospatial

/// Metadata and data source abstractions of geospatial Web APIs (ie. features).
///
/// Usage: import `package:geodata/core.dart`
library core;

export 'src/core/base/collection_meta.dart';
export 'src/core/base/resource_meta.dart';
export 'src/core/data/bounded_items_query.dart';
export 'src/core/data/geospatial_query.dart';
export 'src/core/data/item_query.dart';
export 'src/core/data/items_query.dart';
export 'src/core/features/basic_feature_source.dart';
export 'src/core/features/feature_failure.dart';
export 'src/core/features/feature_item.dart';
export 'src/core/features/feature_items.dart';
export 'src/core/features/feature_source.dart';
